CGAL 5.6.3 - 2D Arrangements

Loading...
Searching...
No Matches
List of all members
ArrTraits::ParameterSpaceInX_2 Concept Reference
2D Arrangement Reference » Concepts » Function Object Concepts

## Definition

Refines
  `AdaptableBinaryFunction`

Has Models:

  ArrangementVerticalSideTraits_2::Parameter_space_in_x_2

  ArrangementOpenBoundaryTraits_2::Parameter_space_in_x_2

  ArrangementSphericalBoundaryTraits_2::Parameter_space_in_x_2

## Operations
A model of this concept must provide:
CGAL::Arr_parameter_space | operator() (const ArrTraits::X_monotone_curve_2 &xcv, CGAL::Arr_curve_end ce)
| Given an \(x\)-monotone curve `xcv` and an enumeration `ce` that specifies either the minimum or the maximum end of the curve, determines the location of the curve end along the \( x\)-dimension.

## Member Function Documentation

## ◆ operator()()

CGAL::Arr_parameter_space ArrTraits::ParameterSpaceInX_2::operator() | ( | const ArrTraits::X_monotone_curve_2 & | xcv,
|  | CGAL::Arr_curve_end | ce
| ) |  |

Given an \(x\)-monotone curve `xcv` and an enumeration `ce` that specifies either the minimum or the maximum end of the curve, determines the location of the curve end along the \( x\)-dimension.

The variable `xcv` identifies the parametric curve \(c(t) = (x(t), y(t))\) defined over an open or half-open interval with endpoints \(0\) and \(1\). The enumeration `ce` identifies an open end \(d \in\{0,1\}\) of \(c\). Formally, determines whether \(\lim_{t \rightarrow d} x(t)\) evaluates to \(b_l\), \(b_r\), or a value in between, where \(b_l\) and \(b_r\) are the \(x\)-coordinates of the left and right boundaries of the parameter space, respectively. Returns `CGAL::ARR_LEFT_BOUNDARY`, `CGAL::ARR_RIGHT_BOUNDARY`, or `CGAL::ARR_INTERIOR`, accordingly.

Postcondition
  If `ArrTraits::Left_side_category` is convertible to `CGAL::Arr_oblivious_side_tag` then the result is not `CGAL::ARR_LEFT_BOUNDARY`.
  If `ArrTraits::Right_side_category` is convertible to `CGAL::Arr_oblivious_side_tag` then the result is not `CGAL::ARR_RIGHT_BOUNDARY`.